Subject: [PATCH 09/14] mtd: nand: sunxi: simplify optional reset handling

From: [email-masked] (Philipp Zabel)
Date: Tue, 31 Jan 2017 18:21:58 +0100

On Mon, 2017-01-30 at 13:44 +0100, Boris Brezillon wrote:
> Hi Philipp,
> 
> On Mon, 30 Jan 2017 12:41:11 +0100
> Philipp Zabel <[email-masked]> wrote:
> 
> > As of commit bb475230b8e5 ("reset: make optional functions really
> > optional"), the reset framework API calls use NULL pointers to describe
> > optional, non-present reset controls.
> > 
> > This allows to return errors from devm_reset_control_get_optional and to
> > call reset_control_(de)assert unconditionally.
> > 
> > Signed-off-by: Philipp Zabel <[email-masked]>
> > Cc: Icenowy Zheng <[email-masked]>
> > Cc: Maxime Ripard <[email-masked]>
> > Cc: Boris Brezillon <[email-masked]>
> 
> I didn't find commit bb475230b8e5 in mainline, so I guess you plan to
> take this patch in your own tree. Let me know if this is not the case.
> 
> Acked-by: Boris Brezillon <[email-masked]>

Thanks, I plan to resend this once bb475230b8e5 hits mainline, for you
to merge.

regards
Philipp